/********************************************************************
 *                                                                  *
 * THIS FILE IS PART OF THE OggSQUISH PLAYER/CONVERTER SOURCE CODE. *
 * USE, DISTRIBUTION AND REPRODUCTION OF THIS SOURCE IS RESTRICTED  *
 * BY DISTRIBUTION TERMS THAT SHOULD BE INCLUDED WITH THIS SOURCE.  *
 * PLEASE READ THESE TERMS BEFORE USING OR DISTRIBUTING.            *
 *                                                                  *
 * THE OggSQUISH SOURCE CODE IS (C) COPYRIGHT 1994-1996             *
 * XIPHOPHORUS                                                      *
 *                                                                  *
 ********************************************************************

  file: main.c
  function: Application top level
  author: Monty <xiphmont@mit.edu>
  modifications by: Monty
  last modification date: Oct 15 1996

 ********************************************************************/

/* Most of the code that makes direct use of libogg is in oggstuff.c;
   setup.c organizes OggScripts and talks to the Ogg parser. */

#include "oggapp.h"
#include <signal.h>

extern long bytes_indexed;

int main(int argc,char *argv[]){
  signal(SIGPIPE,SIG_IGN);

  scan_command_line(argc,argv,-1);
  ProcessLoop(bytes_indexed);
  return(0);
}
