#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[]){
  FILE *in, *out;
  char buffer[160];

  if(argc!=3)exit(1);
  if((in=fopen(argv[1],"r"))==NULL)exit(1);
  if((out=fopen(argv[2],"w"))==NULL)exit(1);

  fprintf(out,"standard_define(\"channels\",channels);\n"
	  "standard_define(\"poly\",polyphonic);\n"
	  "standard_define(\"rate\",rate);\n"
	  "standard_define(\"dyn\",bits);\n"
	  "ogg_script_parse(");

  while(fscanf(in,"%159[^\n]\n",buffer)!=EOF)
    fprintf(out,"\n\t\"%s\"",buffer);
  fprintf(out,");\n");

  fclose(in);
  fclose(out);

  return(0);
}
