/********************************************************************
 *                                                                  *
 * THIS FILE IS PART OF THE OggSQUISH PLAYER/CONVERTER SOURCE CODE. *
 * USE, DISTRIBUTION AND REPRODUCTION OF THIS SOURCE IS RESTRICTED  *
 * BY DISTRIBUTION TERMS THAT SHOULD BE INCLUDED WITH THIS SOURCE.  *
 * PLEASE READ THESE TERMS BEFORE USING OR DISTRIBUTING.            *
 *                                                                  *
 * THE OggSQUISH SOURCE CODE IS (C) COPYRIGHT 1994-1996             *
 * XIPHOPHORUS                                                      *
 *                                                                  *
 ********************************************************************

  file: header.h
  author: Monty <xiphmont@mit.edu>
  modifications by: Monty
  last modification date: Oct 24 1996

 ********************************************************************/

extern long GetNum(char *s,int endianness,int bytes);
extern long CheckWav(FILE *infile,long *channels,long *rate,long *bits,
	     long *bigendian,long *osigned,long *end);
extern long CheckAiff(FILE *infile,long *channels,long *rate,long *bits,
	     long *bigendian,long *osigned,long *end);

extern void WriteWav(FILE *f,long channels,long rate,long bits,
		     long *bigendian,long *osigned);
extern void FinishWav(FILE *f,long channels,long rate,long bits);
extern void WriteAifc(FILE *f,long channels,long rate,long bits,
		     long *bigendian,long *osigned);
extern void FinishAifc(FILE *f,long channels,long rate,long bits);

extern long QueryHeader(FILE *infile);
