/********************************************************************
 *                                                                  *
 * THIS FILE IS PART OF THE OggSQUISH SOFTWARE CODEC SOURCE CODE.   *
 * USE, DISTRIBUTION AND REPRODUCTION OF THIS SOURCE IS RESTRICTED  *
 * BY DISTRIBUTION TERMS THAT SHOULD BE INCLUDED WITH THIS SOURCE.  *
 * PLEASE READ THESE TERMS BEFORE USING OR DISTRIBUTING.            *
 *                                                                  *
 * THE OggSQUISH SOURCE CODE IS (C) COPYRIGHT 1994-1996             *
 * XIPHOPHORUS                                                      *
 *                                                                  *
 ********************************************************************

  file: squish.h
  function: Top level common include file for OggSquish
  author: Monty <xiphmont@mit.edu>
  modifications by: Monty
  last modification date: Oct 25 1996

 ********************************************************************/

#include <unistd.h>
#if !defined(__vax__) && !defined(ISC)
#  include <stdlib.h>
#endif
#include <stdio.h>
#include <malloc.h>
#include <string.h>
#include <math.h>
#include <errno.h>
#include <limits.h>
#include <sys/types.h>
#include <fcntl.h>

#ifdef __BOUNDS_CHECKING_ON
/* Insert your bounds gcc include dir here */
#  include</mit/bounds/src/gcc-2.7.2/bounds/run-includes/unchecked.h>
#define DEBUG_FEATURES 1
#else
#define BOUNDS_CHECKING_ON
#define BOUNDS_CHECKING_OFF
#endif

extern int scan_command_line(int argc,char *argv[],int probe);
extern void ProcessLoop(long index);
